Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface ModifyEntry

All Known Implementing Classes:
  ModifyEntryImpl

    public interface ModifyEntry

LDAP Modify Entry interface. This defines the methods for the Modify operation.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`AddAttributesValues` | `getAddAttributesValues()` Method to retrieve the AddAttributesValues object when an add attribute operation was requested
`RemoveAttributesValues` | `getRemoveAttributesValues()` Method to retrieve the RemoveAttributesValues object when a remove attribute operation was requested
`ReplaceValues` | `getReplaceValues()` Method to retrieve the ReplaceValues object when a modify attribute value operation was requested
`void` | `reset()` Method to reset the values

Method Detail

### getAddAttributesValues

    AddAttributesValues getAddAttributesValues()
                                               throws LDAPApplicationException

  Method to retrieve the AddAttributesValues object when an add attribute operation was requested

  Returns:
    the AddAttributesValues object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getRemoveAttributesValues

    RemoveAttributesValues getRemoveAttributesValues()
                                                     throws LDAPApplicationException

  Method to retrieve the RemoveAttributesValues object when a remove attribute operation was requested

  Returns:
    the RemoveAttributesValues object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getReplaceValues

    ReplaceValues getReplaceValues()
                                   throws LDAPApplicationException

  Method to retrieve the ReplaceValues object when a modify attribute value operation was requested

  Returns:
    the ReplaceValues object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD